=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:23.08.1~),
+               libkf5akonadi-dev (>= 4:23.08.5~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5itemmodels-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 23.08.1~),
+               libkf5mime-dev (>= 23.08.5~),
                libkf5xmlgui-dev (>= 5.91.0~),
                libxslt1-dev,
                pkg-config,
@@ -64,10 +64,10 @@
 Package: libkf5akonadimime-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5akonadi-dev (>= 4:23.08.1~),
+Depends: libkf5akonadi-dev (>= 4:23.08.5~),
          libkf5configwidgets-dev (>= 5.71.0~),
          libkf5i18n-dev (>= 5.91.0~),
-         libkf5mime-dev (>= 23.08.1~),
+         libkf5mime-dev (>= 23.08.5~),
          libkf5xmlgui-dev (>= 5.91.0~),
          libkpim5akonadimime5 (= ${binary:Version}),
          ${misc:Depends},
